package co.yixiang.yshop.module.member.convert.usertag;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.member.controller.admin.usertag.vo.*;
import co.yixiang.yshop.module.member.dal.dataobject.usertag.UserTagDO;

/**
 * 会员标签 Convert
 *
 * @author admin
 */
@Mapper
public interface UserTagConvert {

    UserTagConvert INSTANCE = Mappers.getMapper(UserTagConvert.class);

    UserTagDO convert(UserTagCreateReqVO bean);

    UserTagDO convert(UserTagUpdateReqVO bean);

    UserTagRespVO convert(UserTagDO bean);

    List<UserTagRespVO> convertList(List<UserTagDO> list);

    PageResult<UserTagRespVO> convertPage(PageResult<UserTagDO> page);

    List<UserTagExcelVO> convertList02(List<UserTagDO> list);

}
